package com.template.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.template.model.pojo.SmartUser;
import com.template.model.tongji.*;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface WechatScanLoginMapper extends BaseMapper<SmartUser> {

    // 用户类别统计
    public List<Tj> getUserIdTj();

    // 用户总数
    public All getUserIdTjt();

    // 水表总计
    public DAll getWaterTj();

    // 电表总计
    public DAll getElcTj();

    // 每个月各水表数据统计
    public List<EnergyTj> getWaterTjByMonAndBuild(String month);

    // 每个月各电表数据统计
    public List<EnergyTj> getElcTjByMonAndBuild(String month);

    // 每个月每个楼栋查询
    public EnergyTj getTjByMon(String name,String month,String type);

    public void insertMonthMeter(EnergyTj energyTj);

    public void updateMonthMeter(@Param("energyTj")EnergyTj energyTj);

    // 每天各水表数据统计
    public List<EnergyTj> getWaterTjByDayAndBuild(String day);

    // 每天各电表数据统计
    public List<EnergyTj> getElcTjByDayAndBuild(String day);

    public EnergyTj getTjByDay(String name,String day,String type);

    public void insertDayMeter(EnergyTj energyTj);

    public void updateDayMeter(@Param("energyTj")EnergyTj energyTj);

    // 每个月各水表数据
    public List<Tj> getMonWater(@Param("month")String month);

    // 每个月各电表数据
    public List<Tj> getMonElc(@Param("month")String month);

    // 区域能耗统计
    public List<MeterMonthData> getMeterMonthPage(@Param("meterMonthData")MeterMonthData meterMonthData);

    // 实时抄表
    public List<MeterMonthData> getMeterDayPage(@Param("meterMonthData")MeterMonthData meterMonthData);

}
